Skip to main content
GET
List disputes

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

end_time
string<date-time>

Only display disputes with a final decision time less than or equal to end_time

start_time
string<date-time>

Only display disputes with a creation time greater than or equal to start_time

to_date
string<date>

Only display disputes with a creation date less than or equal to to_date

from_date
string<date>

Only display disputes with a creation date greater than or equal to from_date

status
enum<string>

The current status of the dispute.

Available options:
OPEN,
CLOSED
account_id
string<uuid>
required

The account's unique identifier provided by Synctera

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

decision
enum<string>
Available options:
LOST,
NONE,
ONGOING,
RESOLVED,
WON
transaction_id
string<uuid>

The unique identifier of a posted transaction

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

The unique identifier for a transaction related to the dispute, such as a provisional credit or chargeback.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

payment_rail
enum<string>

Specifies the payment rail type for the returned disputes.

A short string representing the payment rail of the dispute.

Available options:
CARD,
EXTERNAL_CARD,
ACH
limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

Response

List of disputes

disputes
(Card Dispute · object | External Card · object | ACH Dispute · object)[]
required

Array of disputes

Response for a card dispute.

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"